import smbus
import apds9300
import sys
import time
import MinoltaT10

def screen_pos(x, y):
	sys.stdout.write(("\033[%u;%uH" % (y, x)))

def screen_clear():
	print("\n" * 80)

f = open('lumi_1_2.txt', 'a')

bus = smbus.SMBus(1)
# integration:
# 0:  13,7 ms
# 1: 101   ms
# 2: 402   ms

highgain = False
integration = 0

s = apds9300.adps9300(bus, highgain, integration);
#f.write("Gain = ")
#if highgain == True:
#	f.write("16x ")
#else:
#	f.write("1x ")
#
#f.write("t_int = %s ms\r\n" % ["13.7", "101", "402"][integration])

m = 1
t = 0

if highgain == False and integration == 0:
	m = 0.1793
	t = 67.435
elif highgain == False and integration == 1:
	m = 1.3281
	t = 57.541

foo = MinoltaT10.MinT10()
foo.SetPcMode()
time.sleep(0.2)

screen_clear()
while True:
	# screen_clear()
	#screen_pos(1,1)
	# print("%f     " % s.read_lux());
	ch0, ch1 = s.read_raw()
	apdslux = s.calc_lux(ch0, ch1)
	if apdslux == None:
		apdslux = 0
	
	apdslux = apdslux * m + t
	
	t10lux = foo.ReadIlluminance()
	print("{0:>5}  {1:>5}  {2:>8.3f}  {3:>8.3f}".format(ch0, ch1, apdslux, t10lux));
#	f.write("{0:>5}\t{1:>5}\t{2:>8.3f}\t{3:>8.3f}\r\n".format(ch0, ch1, apdslux, t10lux))
	time.sleep(0.5);